/*
 * Copyright 2010 Felipe Crochik <foss@crochik.com>
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LOCALSEARCHITEMDELEGATE_H
#define LOCALSEARCHITEMDELEGATE_H

#include <QStyledItemDelegate>
#include <QListWidget>
#include <QFont>

class LocalSearchItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    LocalSearchItemDelegate(QListView *pParent);

protected:
    virtual void paint( QPainter * painter, const QStyleOptionViewItem & option, const QModelIndex & index ) const;
    virtual QSize sizeHint( const QStyleOptionViewItem & option, const QModelIndex & index ) const;

public:
    int m_leftMargin;
    int m_rightMargin;
    int m_vertMargin;
    QFont m_font;
};

#endif // LOCALSEARCHITEMDELEGATE_H
